loading...

Discussion

markdown guide
 

Hi dear devs. Today I need help again.

I am following the Odin project tutorial to setup git and github at this address: theodinproject.com/courses/web-dev...

My problem is after installing Homebrew, I try to install git but I get a few error messages (dev-to-uploads.s3.amazonaws.com/i/...) about x-code being outdated and having to install the 8.1 version though I just installed the 11.5. And also telling me that my command line tools are outdated and I should update them in the app store's software update section but there's no such thing there.

I'm stuck, lost and about to explode so if anyone could point me in the right direction...

Kind regards :)

 

Hello there!
Please try installing the newest version of XCode through the App Store.
If this does not instantly fix your problem, you probably need to update CLT too.
Try this: stackoverflow.com/questions/425381...

 

I did install the latest version of xcode so I'll try the CLT but I didn't know how to until now. Thanks for the link :)

 

So when I enter

$softwareupdate - - list

I get returned "No new software available."

I'm truly lost.